Skip to content
payrocdevelopers

List contacts

Browse API reference

GET/processing-accounts/{processingAccountId}/contactslistProcessingAccountContacts

Use this method to return a list of contacts for a processing account.

Note: If you want to view the details of a specific contact and you have their contactId, use our Retrieve Contact method.

To list contacts for a processing account, you need the processingAccountId. Our gateway returned the processingAccountId in the response of the Create Merchant Platform method or the Create Processing Account method.

Our gateway returns the following information about each contact:

  • Name and contact method, including their phone number or mobile number.
  • Role within the business, for example, if they are a manager.

For each contact, we also return a contactId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
processingAccountIdRequiredpathstring

Unique identifier that we assigned to the processing account.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a list of contacts associated with the processing account.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 21 of 29 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]
    Array of contact objects.
    • contactIdinteger
      Unique identifier of the contact.
    • contactMethodsobject[]required
      Array of polymorphic objects, which contain contact information. Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number1–4 items
      • emailobject
        +2 more fields at deeper levels — see the full spec
      • phoneobject
        +2 more fields at deeper levels — see the full spec
      • mobileobject
        +2 more fields at deeper levels — see the full spec
      • faxobject
        +2 more fields at deeper levels — see the full spec
    • firstNamestringrequired
      Contact's first name.≤ 50 chars
    • identifiersobject[]
      Array of identifier objects.≥ 1 items
      • typestringrequired
        Type of ID provided to verify identity.nationalId
      • valuestringrequired
        Social Security Number (SSN) or Social Insurance Number (SIN).
    • lastNamestringrequired
      Contact's last name.≤ 50 chars
    • middleNamestring
      Contact's middle name.≤ 50 chars
    • typestringrequired
      Type of contact.managerrepresentativeothers

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer